package cs4099;

import java.io.*;

/**
 * This class is a file filter for XML specification files.
 * 
 * @author David Newton
 */
public class FileFilter extends javax.swing.filechooser.FileFilter {

	/**
	 * Constructor (blank)
	 *
	 */
	public FileFilter() {
		
	}
	
	/**
	 * Determines whether a file should pass the file filter or not.
	 */
	public boolean accept(File f) {
		if (f.isDirectory()) {
			return true;
		}
		String filename = f.getName();
		int dotindex = filename.lastIndexOf('.');
		String extension = filename.substring(dotindex+1).toLowerCase();
		if (extension.equals("xml")) {
			return true;
		}
		return false;
	}
	
	/**
	 * Returns a description of this file filter.
	 */
	public String getDescription() {
		return ("XML files");
	}
}
