package cs4099;

/**
 * The Main class begins the running of the program. It checks for any
 * command line parameters given, and attempts to interpret an XML if one
 * is provided. Otherwise, it sets up a blank game.
 *
 * @author David Newton
 */
public class Main {

    /**
     * The main method - a run of the program should start from here.
     * 
     * @param args The command line arguments
     */
    public static void main(String[] args) throws Exception {
    	
    	//Interpret and set up a game.
    	String initialgame = "";
    	
    	if (args.length != 0) {
    		initialgame = args[0];
    	}
    	else {
    		initialgame = "./xmls/!blank.xml";
    	}
    	
    	Interpreter interpreter = new Interpreter();
        State rootstate = interpreter.setupGame(initialgame);
        
        //Set up the game/graphics handling class.
        Game game = new Game(rootstate, initialgame);

    }
}