package cs4099;

import java.io.*;

public class Scripter {

	public static void main(String[] args) throws Exception {
		
		String gamefile = "./" + args[0];
    	
    	Interpreter interpreter = new Interpreter();
    	File outputfile = new File(gamefile + ".txt");
    	FileWriter writer = new FileWriter(outputfile);
        State rootstate = interpreter.setupGame(gamefile);
        ScriptedSolver solver = new ScriptedSolver(rootstate, 1000);
        
        //Get the result and output it.
        for (int i = 0; i < 100; i++) {
        	rootstate.outputState();
        	String resultstring = solver.solvefromstate();
        	writer.write(resultstring + "\n");
        	System.out.println(i + ": Written " + resultstring);
        
        	//Set up a new game.
        	solver.rootstate = interpreter.setupGame(gamefile);
        	solver.examinedstates = 0;
        	solver.beststate = rootstate;
        }
        writer.close();
        solver = null;
        System.exit(0);
    }
}