package cs4099;

import java.util.*;
/**
 * This class stores a LinkedList of states with references to their parents.
 * New states are added to and removed from the head of the linked list.
 * 
 * @author David Newton
 * @see State
 */
public class StateStack {
	
	public LinkedList list;
	
	/** Creates a new StateStack */
	public StateStack() {
		this.list = new LinkedList();
	}
	
	/** Adds a state to the stack */
	public void add(State state) {
		list.add(0, state);
		
		//Stack bound
		if (list.size() > 1000) {
			list.remove(1000);
		}
	}
	
	/** Removes the first state from the stack */
	public State get() {
		return ((State)list.removeFirst());
	}
	
	public boolean isEmpty() {
		if (list.size() == 0) {
			return (true);
		}
		else {
			return (false);
		}
	}

}
